---
title: Expressions
---

The property mapping should return a value that is expected by the provider. Supported types are documented in the individual provider. Returning `None` is always accepted and would simply skip the mapping for which `None` was returned.

## Available Functions

import Functions from "../../../expressions/reference/_functions.mdx";

<Functions />

## Variables

import Objects from "../../../expressions/reference/_objects.md";

<Objects />

import User from "../../../expressions/reference/_user.md";

<User />

- `request`: The current request. This may be `None` if there is no contextual request. See ([Django documentation](https://docs.djangoproject.com/en/3.0/ref/request-response/#httprequest-objects))
- Other arbitrary arguments given by the provider, this is documented on the provider.
